Name: exim
%define version 3.20
%define docversion 3.20
Version: %{version}
Release: 4
Summary: A less bloated and more easily configurable MTA than sendmail
Summary(ru):      MTA,  sendmail
Copyright: GPL
Group: Networking/Daemons
Provides: smtpdaemon
Obsoletes: sendmail
Conflicts: sendmail
Source0: http://www.exim.org/ftp/exim-%{version}.tar.gz
Source1: http://www.exim.org/ftp/exim-html-%{docversion}.tar.gz
Source2: http://www.exim.org/ftp/exim-texinfo-%{docversion}.tar.gz
Source3: http://www.exim.org/ftp/exim-pdf-%{docversion}.tar.gz
Source4: http://www.exim.org/ftp/exim-postscript-%{docversion}.tar.gz
Patch0: exim.makefile.patch
Source5: exim.aliases
Source6: exim.init
Source7: exim.lr
Source8: exim.8
Source9: eximon.conf
Source10: exim.sc
Source11: exim.conf.3
Source12: exim.pam

URL: http://www.exim.org/
BuildRoot: /var/tmp/exim-build
Packager: Ganesh Sittampalam <ganesh@earth.li>
Vendor: Project Purple
Prereq: /sbin/chkconfig

Distribution: Red Hat Contrib|Net

%description 
A message transfer agent (MTA) developed at Cambridge University. It has several
advantages over sendmail, primarily in performance and ease of configurability.

%description -l ru
    (MTA),   
.      --   
.

%package monitor
Group: X11/Utilities
Summary: An X11 utility to monitor the exim mail queue
Summary(ru):       exim
Requires: exim

%description monitor
A graphical monitor for exim which can be used to monitor and control the mail
queue.

%description monitor -l ru
    exim,    
     .

%package doc
Group: Networking/Daemons
Summary: Exim documentation in various formats
Requires: exim

%description doc
Documentation for exim in html, pdf, ps and texinfo formats.

%prep
%setup -T -b 0 
tar -xzvf $RPM_SOURCE_DIR/exim-html-%{docversion}.tar.gz
tar -xzvf $RPM_SOURCE_DIR/exim-texinfo-%{docversion}.tar.gz
tar -xzvf $RPM_SOURCE_DIR/exim-pdf-%{docversion}.tar.gz
tar -xzvf $RPM_SOURCE_DIR/exim-postscript-%{docversion}.tar.gz
mv exim-html-%{docversion}/doc/html doc/
mv exim-texinfo-%{docversion}/doc/*.texinfo doc/
mv exim-pdf-%{docversion}/doc/*.pdf doc/
mv exim-postscript-%{docversion}/doc/*.ps doc/
mkdir Local
%patch0 -p1
cp src/EDITME Local/Makefile
cp $RPM_SOURCE_DIR/eximon.conf Local/

%build
make
BUILDNAME=build-`scripts/os-type`-`scripts/arch-type`
cd $BUILDNAME
makeinfo --no-split --output exim_overview.info ../doc/oview.texinfo
makeinfo --no-split --output exim.info ../doc/spec.texinfo
makeinfo --no-split --output exim_filter.info ../doc/filter.texinfo
gzip *.info


%install

BUILDNAME=build-`scripts/os-type`-`scripts/arch-type`

rm -rf $RPM_BUILD_ROOT
for i in info sbin lib bin ; do mkdir -p $RPM_BUILD_ROOT/usr/$i ; done
mkdir -p $RPM_BUILD_ROOT/usr/man/man8
for i in logrotate.d sysconfig pam.d ; do mkdir -p $RPM_BUILD_ROOT/etc/$i ; done

for i in init.d rc0.d rc1.d rc2.d rc3.d rc4.d rc5.d rc6.d ; do mkdir -p $RPM_BUILD_ROOT/etc/rc.d/$i ; done
mkdir -p $RPM_BUILD_ROOT/var/spool
mkdir -p $RPM_BUILD_ROOT/var/log

install -m644 $RPM_SOURCE_DIR/exim.conf.3 $RPM_BUILD_ROOT/etc/exim.conf
install -m644 $RPM_SOURCE_DIR/exim.aliases $RPM_BUILD_ROOT/etc/aliases
install -m755 $RPM_SOURCE_DIR/exim.init $RPM_BUILD_ROOT/etc/rc.d/init.d/exim
install -m644 $RPM_SOURCE_DIR/exim.lr $RPM_BUILD_ROOT/etc/logrotate.d/exim
install -m644 $RPM_SOURCE_DIR/exim.sc $RPM_BUILD_ROOT/etc/sysconfig/exim
install -m644 $RPM_SOURCE_DIR/exim.8 $RPM_BUILD_ROOT/usr/man/man8
install -m644 $RPM_SOURCE_DIR/exim.pam $RPM_BUILD_ROOT/etc/pam.d/exim

install -m750 -d $RPM_BUILD_ROOT/var/spool/exim
install -m750 -d $RPM_BUILD_ROOT/var/log/exim

install -m755 $BUILDNAME/exim $RPM_BUILD_ROOT/usr/sbin/
install -m755 $BUILDNAME/exim_dumpdb $RPM_BUILD_ROOT/usr/sbin/
install -m755 $BUILDNAME/exim_fixdb $RPM_BUILD_ROOT/usr/sbin/
install -m755 $BUILDNAME/exim_tidydb $RPM_BUILD_ROOT/usr/sbin/
install -m755 $BUILDNAME/exinext $RPM_BUILD_ROOT/usr/sbin/
install -m755 $BUILDNAME/exiwhat $RPM_BUILD_ROOT/usr/sbin/
install -m755 $BUILDNAME/exim_dbmbuild $RPM_BUILD_ROOT/usr/sbin/
install -m755 util/exigrep $RPM_BUILD_ROOT/usr/sbin/
install -m755 util/eximstats $RPM_BUILD_ROOT/usr/sbin/
install -m755 $BUILDNAME/exicyclog $RPM_BUILD_ROOT/usr/sbin/
install -m755 util/exiqsumm $RPM_BUILD_ROOT/usr/sbin/
install -m755 util/convert4r3 $RPM_BUILD_ROOT/usr/sbin/exim_convert4r3
install -m755 $BUILDNAME/exim_lock $RPM_BUILD_ROOT/usr/sbin/
install -m755 $BUILDNAME/eximon $RPM_BUILD_ROOT/usr/sbin/
install -m755 $BUILDNAME/eximon.bin $RPM_BUILD_ROOT/usr/sbin/

install -m644 $BUILDNAME/*.info.gz $RPM_BUILD_ROOT/usr/info/

ln -sf exim $RPM_BUILD_ROOT/usr/sbin/sendmail
ln -sf ../sbin/exim $RPM_BUILD_ROOT/usr/lib/sendmail
ln -sf ../sbin/exim $RPM_BUILD_ROOT/usr/bin/mailq
ln -sf ../sbin/exim $RPM_BUILD_ROOT/usr/bin/runq

ln -sf ../init.d/exim $RPM_BUILD_ROOT/etc/rc.d/rc0.d/K30exim
ln -sf ../init.d/exim $RPM_BUILD_ROOT/etc/rc.d/rc1.d/K30exim
ln -sf ../init.d/exim $RPM_BUILD_ROOT/etc/rc.d/rc2.d/S80exim
ln -sf ../init.d/exim $RPM_BUILD_ROOT/etc/rc.d/rc3.d/S80exim
ln -sf ../init.d/exim $RPM_BUILD_ROOT/etc/rc.d/rc4.d/S80exim
ln -sf ../init.d/exim $RPM_BUILD_ROOT/etc/rc.d/rc5.d/S80exim
ln -sf ../init.d/exim $RPM_BUILD_ROOT/etc/rc.d/rc6.d/K30exim

%post

/sbin/chkconfig --add exim

/sbin/install-info --section="Exim" \
    --entry "* Overview: (exim_overview).    Overview of the Exim system" \
    /usr/info/exim_overview.info.gz /usr/info/dir
/sbin/install-info --section="Exim" \
    --entry "* User guide: (exim).           Exim manual" \
    /usr/info/exim.info.gz /usr/info/dir
/sbin/install-info --section="Exim" \
    --entry "* Filtering: (exim_filter).     Filtering mail with Exim" \
    /usr/info/exim_filter.info.gz /usr/info/dir

if [ ! -f /var/log/exim/mainlog ]; then
touch /var/log/exim/mainlog
chown mail.mail /var/log/exim/mainlog
chmod 640 /var/log/exim/mainlog
fi

if [ ! -f /var/log/exim/processlog ]; then
touch /var/log/exim/processlog
chown mail.mail /var/log/exim/processlog
chmod 640 /var/log/exim/processlog
fi
    
if [ ! -f /var/log/exim/paniclog ]; then
touch /var/log/exim/paniclog
chown mail.mail /var/log/exim/paniclog
chmod 640 /var/log/exim/paniclog
fi
    
if [ ! -f /var/log/exim/rejectlog ]; then
touch /var/log/exim/rejectlog
chown mail.mail /var/log/exim/rejectlog
chmod 640 /var/log/exim/rejectlog
fi

echo The config file format has changed in version 3.
echo If this is an upgrade from a previous version, 
echo you may find /usr/sbin/exim_convert4r3 useful.
    
%preun
if [ "$1" = 0 ]; then

/sbin/chkconfig --del exim

/sbin/install-info --delete --section="Exim" \
    --entry "* Overview: (exim_overview).    Overview of the Exim system" \
    /usr/info/exim_overview.info.gz /usr/info/dir
/sbin/install-info --delete --section="Exim" \
    --entry "* User guide: (exim).           Exim manual" \
    /usr/info/exim.info.gz /usr/info/dir
/sbin/install-info --delete --section="Exim" \
    --entry "* Filtering: (exim_filter).     Filtering mail with Exim" \
    /usr/info/exim_filter.info.gz /usr/info/dir
fi

%files
%defattr(-,root,root)
%attr(4755,root,root) /usr/sbin/exim
/usr/sbin/exim_dumpdb
/usr/sbin/exim_fixdb
/usr/sbin/exim_tidydb
/usr/sbin/exinext
/usr/sbin/exiwhat
/usr/sbin/exim_dbmbuild
/usr/sbin/exigrep
/usr/sbin/eximstats
/usr/sbin/exicyclog
/usr/sbin/exiqsumm
/usr/sbin/exim_lock
/usr/sbin/exim_convert4r3

/usr/sbin/sendmail
/usr/lib/sendmail
/usr/bin/mailq
/usr/bin/runq

/usr/info/*
/usr/man/man8/exim.8

%attr(-,mail,mail) /var/spool/exim
%attr(-,mail,root) /var/log/exim

%config(noreplace) /etc/exim.conf
%config(noreplace) /etc/aliases
%config /etc/rc.d/init.d/exim
%config(noreplace) /etc/logrotate.d/exim
%config(noreplace) /etc/sysconfig/exim
%config(noreplace) /etc/pam.d/exim
%config(missingok) /etc/rc.d/rc0.d/K30exim
%config(missingok) /etc/rc.d/rc1.d/K30exim
%config(missingok) /etc/rc.d/rc2.d/S80exim
%config(missingok) /etc/rc.d/rc3.d/S80exim
%config(missingok) /etc/rc.d/rc4.d/S80exim
%config(missingok) /etc/rc.d/rc5.d/S80exim
%config(missingok) /etc/rc.d/rc6.d/K30exim

%doc doc/ChangeLog doc/NewStuff doc/README README.Y2K doc/*.txt

%files doc 
%defattr(-,root,root)
%doc doc/*.ps doc/*.pdf doc/*.texinfo doc/html

%files monitor
%defattr(-,root,root)
/usr/sbin/eximon
/usr/sbin/eximon.bin

%changelog
* Mon Jan 8 2001 Ganesh Sittampalam <ganesh@earth.li>
- Added TCP wrappers support
- Added PAM support (copied from RH powertools RPM)
- Added NIS lookup support (but not NIS+ because of RH5 compile problem)
- Stopped it clobbering the config file on upgrade

* Tue Dec 12 2000 Ganesh Sittampalam <ganesh@earth.li>
- Fixed extraction of documentation

* Fri Dec 8 2000 Ganesh Sittampalam <ganesh@earth.li>
- Modified default configuration to work with local users
  running fetchmail
- Added gecos_pattern and gecos_name options so that only the
  user's name (and not phone number etc) is put in outgoing emails
  by default

* Thu Nov 8 2000 Vldimir Tsichevski <wowa@jet.msk.su>
- Brace expansions removed, to use the spec on systems other than Linux

* Thu Jul 27 2000 Ganesh Sittampalam <ganesh@earth.li>
- Updated to 3.16
- Added /usr/sbin/runq symlink

* Mon Jan 24 2000 Ganesh Sittampalam <ganesh@earth.li>
- Added /usr/sbin/exicyclog to be used as an alternative to logrotate

* Sun Jan 23 2000 Eugene Morozov <jmv@lucifer.dorms.spbu.ru>
- Updated to 3.13
- Russian translations for summary and description

* Sun Jan 16 2000 Ganesh Sittampalam <ganesh@earth.li>
- Split html, pdf and ps documentation off into a separate package

* Sat Jan 8 2000 Ganesh Sitampalam <ganesh.sittampalam@magd.ox.ac.uk>
- Added /usr/bin/mailq

* Sun Jul 18 1999 Ganesh Sittampalam <ganesh.sittampalam@magd.ox.ac.uk>
- Fixed logrotate script so it doesn't complain if exim isn't running

* Thu Jun 10 1999 Ganesh Sittampalam <ganesh.sittampalam@magd.ox.ac.uk>
- Updated to exim 3.02
- Redid default config file in new format
- Added config file converter perl script

* Thu Jun 10 1999 Ganesh Sittampalam <ganesh.sittampalam@magd.ox.ac.uk>
- Fixed to build on sparc. In theory should build on any arch now.
- Added /usr/lib/sendmail symlink

* Wed Jun 9 1999 Ganesh Sittampalam <ganesh.sittampalam@magd.ox.ac.uk>
- Fixed sources list to include default exim.conf file
- Creates empty logfiles if necessary to keep logrotate happy

* Sun Jun 6 1999 Ganesh Sittampalam <ganesh.sittampalam@magd.ox.ac.uk>
- added sysconfig and better logrotate files; moved binaries
  into /usr/sbin from /usr/bin

* Sun Mar 28 1999 Ganesh Sittampalam <ganesh.sittampalam@magd.ox.ac.uk>
- Packaged as an rpm
